# Core

### Continent

#### Related endpoints

{% content-ref url="/pages/Le91XwYaVzafSvUKixCV" %}
[Continents](/v3/core-api/endpoints/continents.md)
{% endcontent-ref %}

**Field Description**

| Field | Description                              | Type    |
| ----- | ---------------------------------------- | ------- |
| id    | Refers to the id of the continent        | integer |
| name  | Displays the name of the continent       | string  |
| code  | Displays the short code of the continent | string  |

#### Include options

[`countries`](#country)

### **Country**

#### Related endpoints

{% content-ref url="/pages/BVhcIxEeZ3JahTkOGprO" %}
[Countries](/v3/core-api/endpoints/countries.md)
{% endcontent-ref %}

**Field Description**

| Field          | Description                                              | Type    |
| -------------- | -------------------------------------------------------- | ------- |
| id             | Refers to the id of the country                          | integer |
| continent\_id  | Refers to the continent of the country                   | integer |
| name           | Displays the name of the country                         | string  |
| official\_name | Displays the officiel name of the country                | string  |
| fifa\_name     | Displays the official fifa shortcode name of the country | string  |
| iso2           | Returns the two letter country code                      | string  |
| iso3           | Returns the three letter country code                    | string  |
| latitude       | Returns the official latitude position of the country    | string  |
| longitude      | Returns the official longitude position of the country   | string  |
| geonameid      | Returns the official geonameid                           | integer |
| border         | Returns all the neighbour countries of the country       | string  |
| image\_path    | Returns the image path of the country                    | string  |

#### Include options

[`continents`](#continent) [`leagues`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#league) [`regions`](#region)

### Region

#### Related endpoints

{% content-ref url="/pages/WYQ0kdzSrCoshlFzMTC5" %}
[Regions](/v3/core-api/endpoints/regions.md)
{% endcontent-ref %}

#### Field Description

| Field       | Description                         | Type    |
| ----------- | ----------------------------------- | ------- |
| id          | Refers to the id of the region      | integer |
| country\_id | Refers to the country of the region | integer |
| name        | Displays the name of the region     | string  |

#### Include options

[`country`](#country) [`cities`](#city)

### City

#### Related endpoints

{% content-ref url="/pages/KnsCuOt5lPtVDCzaW8KI" %}
[Cities](/v3/core-api/endpoints/cities.md)
{% endcontent-ref %}

#### Field Description

| Field       | Description                          | Type    |
| ----------- | ------------------------------------ | ------- |
| id          | Refers to the id of the city         | integer |
| country\_id | Refers to the country of the city    | integer |
| region      | Refers to the region of the city     | integer |
| name        | Displays the name of the city        | string  |
| latitude    | The official latitude of the city    | string  |
| longitude   | The official lonitude of the city    | string  |
| geonameid   | The official geo name id of the city | integer |

#### Include options

[`region`](#region)

### Sport

#### Field Description

| Field | Description                    | Type    |
| ----- | ------------------------------ | ------- |
| id    | Refers to the id of the sport  | integer |
| name  | Displays the name of the sport | string  |
| code  | Displays the code of the sport | string  |

#### Include options

`none`

### Type

#### Related endpoints

{% content-ref url="/pages/Tg7TPcHotwjgljsl3yeW" %}
[Types](/v3/core-api/endpoints/types.md)
{% endcontent-ref %}

#### Field Description

| Field           | Description                             | Type    |
| --------------- | --------------------------------------- | ------- |
| id              | Refers to the id of the type            | integer |
| parent\_id      | Refers to the parent type of the type   | integer |
| name            | Displays the name of the type           | string  |
| code            | Displays the code of the type           | string  |
| developer\_name | Displays the developer name of the type | string  |
| group           | Displays the group the type falls under | string  |
| description     | Displays the description of the type    | string  |

#### Include options

Using includes is disabled for this endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/entities/core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
